Create webspace
POST/v1/webspaces
Create a new webspace in the active tenant.
Datenmodell
Diese Operation arbeitet auf der Entität webspace (webspace). Alle 32 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.
- Pflichtfelder:
domainName,dnsMode - Server-verwaltet:
_id,schema,schemaVersion,tenantId,version,createdAt,updatedAt,createdBy,updatedBy,deletedAt,deletedBy,webspaceNumber,pleskDomainId,pleskClientLogin,pleskServerId,dnsMode,status— diese Felder vergibt die Plattform; im Request werden sie verworfen.
Request Body
| Name | Typ | Beschreibung |
|---|---|---|
domainNameerforderlich | string | |
hostingType | string | |
dnsModeerforderlich | string | |
pleskServerId | string | |
preferredRegion | string | |
plan | string | |
partyIderforderlich | string | |
assignedToId | string | |
phpVersion | string | |
phpMode | string | |
documentRoot | string | |
diskQuotaGb | integer | |
billingEnabled | boolean | |
billingPriceCents | integer | |
tags | string[] |
Beispiel
curl -X POST https://api.codemeta-os.de/v1/webspaces \
-H "X-Tenant-Id: $TENANT" \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"domainName": "string",
"hostingType": "webspace",
"dnsMode": "inwx",
"pleskServerId": "string",
"preferredRegion": "string",
"plan": "string",
"partyId": "string",
"assignedToId": "string",
"phpVersion": "8.3",
"phpMode": "fpm",
"documentRoot": "/httpdocs",
"diskQuotaGb": 10,
"billingEnabled": false,
"billingPriceCents": 0,
"tags": []
}'const result = await cm.webspaces.post({
"domainName": "string",
"hostingType": "webspace",
"dnsMode": "inwx",
"pleskServerId": "string",
"preferredRegion": "string",
"plan": "string",
"partyId": "string",
"assignedToId": "string",
"phpVersion": "8.3",
"phpMode": "fpm",
"documentRoot": "/httpdocs",
"diskQuotaGb": 10,
"billingEnabled": false,
"billingPriceCents": 0,
"tags": []
});Antwortcodes
| HTTP | Bedeutung |
|---|---|
202 |
Default Response |